BEGIN {
    LINO=1
    PACKAGE_NAME=""
    VERSION=""
    PRIORITY=""
    PREDEPENDS=""
    DEPENDS=""
    FILENAME=""
}

{
    if ( $1 ~ "^Package:" ) {
        LINO=NR
        PACKAGE_NAME=$2
        VERSION=""
        PRIORITY=""
        PREDEPENDS=""
        DEPENDS=""
        FILENAME=""
    } else if ( $1 ~ "^Version:" ) {
        VERSION=$2
    } else if ( $1 ~ "^Priority:" ) {
        PRIORITY=$2
    } else if ( $1 ~ "^Pre-Depends:" ) {
        sub(/^Pre-Depends: /, "")
        PREDEPENDS=$0
    } else if ( $1 ~ "^Depends:" ) {
        sub(/^Depends: /, "")
        DEPENDS=$0
    } else if ( $1 ~ "^Filename:" ) {
        FILENAME=$2
    } else if ( $1 ~ "^Description:" ) {
        if ( PRIORITY == SEARCH_STR ) {
            print PACKAGE_NAME
            # print PACKAGE_NAME,VERSION
            # print DEPENDS
            # print PACKAGE_NAME"\n"DEPENDS
            # print PACKAGE_NAME"\n"PREDEPENDS"\n"DEPENDS
            # print PREDEPENDS"\n"DEPENDS
            # print LINO,PACKAGE_NAME,PRIORITY,PREDEPENDS,DEPENDS,FILENAME
        }
    }
}

END {
    # print "end"
}
