BEGIN {
    LINO=1
    PACKAGE_NAME=""
    VERSION=""
    PRIORITY=""
    PREDEPENDS=""
    DEPENDS=""
    FILENAME=""
    FIND=0
}

{
    if ( $1 ~ "^Package:" ) {
        LINO=NR
        PACKAGE_NAME=$2
        VERSION=""
        PRIORITY=""
        PREDEPENDS=""
        DEPENDS=""
        FILENAME=""
        FIND=0
    } else if ( $1 ~ "^Version:" ) {
        VERSION=$2
    } else if ( $1 ~ "^Priority:" ) {
        PRIORITY=$2
    } else if ( $1 ~ "^Pre-Depends:" ) {
        sub(/^Pre-Depends: /, "")
        PREDEPENDS=$0
        gsub(/\|/, " ")
        gsub(/,/, " ")
        gsub(/\([^()]*\)/, "")
        for (i = 1; i <= NF; i++) {
            if ($i == SEARCH_STR) {
                FIND = 1
                break
            }
        }
    } else if ( $1 ~ "^Depends:" ) {
        sub(/^Depends: /, "")
        DEPENDS=$0
        gsub(/\|/, " ")
        gsub(/,/, " ")
        gsub(/\([^()]*\)/, "")
        # match($0,/\([^()]*\)/);print substr($0,RSTART+1,RLENGTH-2)
        for (i = 1; i <= NF; i++) {
            if ($i == SEARCH_STR) {
                FIND = 1
                break
            }
        }
    } else if ( $1 ~ "^Filename:" ) {
        FILENAME=$2
    } else if ( $1 ~ "^Description:" ) {
        if ( FIND==1 ) {
            # print PACKAGE_NAME
            # print LINO,PACKAGE_NAME,PRIORITY,PREDEPENDS,DEPENDS,FILENAME
            print "Package: "PACKAGE_NAME
            print "Priority: "PRIORITY
            print "Pre-Depends: "PREDEPENDS
            print "Depends: "DEPENDS
            print ""
        }
    }
}

END {
    # print "end"
}
