# libpam-runtime

```yml
Package: libpam-runtime
Source: pam
Version: 1.3.1-5kylin4k33
Architecture: all
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Installed-Size: 1056
Depends: debconf (>= 0.5) | debconf-2.0, debconf (>= 1.5.19) | cdebconf, libpam-modules (>= 1.0.1-6)
Conflicts: libpam0g-util
Replaces: libpam0g-dev, libpam0g-util
Multi-Arch: foreign
Homepage: http://www.linux-pam.org/
Priority: required
Section: admin
Filename: pool/main/p/pam/libpam-runtime_1.3.1-5kylin4k33_all.deb
Size: 197476
SHA256: 43286ce32d94888fb0f656571f19cc64e2f5ad63cfa51f573cd3449c1490b240
SHA1: 792f5425561ea09ad6a88fcd3f543ae699c8200f
MD5sum: 1db25a10bc69c4771689356226585795
Description: Runtime support for the PAM library
  Contains configuration files and  directories required for
  authentication  to work on Debian systems.  This package is required
  on almost all installations.
Original-Maintainer: Steve Langasek <vorlon@debian.org>
```

# mawk

```yml
Package: mawk
Version: 1.3.4.20200120-2kylin1k1
Architecture: amd64
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Boyuan Yang <byang@debian.org>
Installed-Size: 233
Depends: libc6 (>= 2.29)
Provides: awk
Multi-Arch: foreign
Homepage: https://invisible-island.net/mawk/
Priority: required
Section: interpreters
Filename: pool/main/m/mawk/mawk_1.3.4.20200120-2kylin1k1_amd64.deb
Size: 101300
SHA256: 04e6633e4a5e7e256e94add3ab75b2c4d25840688d0adb8edafee61d3855e964
SHA1: 6dda82f8931ef51e58ad4c5cf0732d6e97e893e2
MD5sum: 7176351749ee6e28f8a98467c0b37db9
Description: Pattern scanning and text processing language
  Mawk is an interpreter for the AWK Programming Language. The AWK
  language is useful for manipulation of data files, text retrieval and
  processing, and for prototyping and experimenting with algorithms. Mawk
  is a new awk meaning it implements the AWK language as defined in Aho,
  Kernighan and Weinberger, The AWK Programming Language, Addison-Wesley
  Publishing, 1988. (Hereafter referred to as the AWK book.) Mawk conforms
  to the POSIX 1003.2 (draft 11.3) definition of the AWK language
  which contains a few features not described in the AWK book, and mawk
  provides a small number of extensions.
  .
  Mawk is smaller and much faster than gawk. It has some compile-time
  limits such as NF = 32767 and sprintf buffer = 1020.
```

# perl-base

```yml
Package: perl-base
Source: perl
Version: 5.30.0-9build1kylin0k2
Architecture: amd64
Essential: yes
Maintainer: Niko Tyni <ntyni@debian.org>
Installed-Size: 10778
Pre-Depends: libc6 (>= 2.29), libcrypt1 (>= 1:4.1.0), libkysec, dpkg (>= 1.17.17)
Suggests: perl, sensible-utils
Conflicts: defoma (<< 0.11.12), doc-base (<< 0.10.3), mono-gac (<< 2.10.8.1-3), safe-rm (<< 0.8), update-inetd (<< 4.41)
Breaks: amanda-common (<< 1:3.3.9-2), backuppc (<< 3.3.1-2), debconf (<< 1.5.61), dh-haskell (<< 0.3), intltool (<< 0.51.0-4), libexception-class-perl (<< 1.42), libfile-path-perl (<< 2.16), libfile-spec-perl (<< 3.7800), libfile-temp-perl (<< 0.2309), libio-socket-ip-perl (<< 0.39), libsbuild-perl (<< 0.67.0-1), libscalar-list-utils-perl (<< 1:1.50), libsocket-perl (<< 2.027), libxsloader-perl (<< 0.30), mailagent (<< 1:3.1-81-2), perl (<< 5.30.0~), perl-modules (<< 5.30.0~), slic3r (<< 1.2.9+dfsg-6.1), slic3r-prusa (<< 1.37.0+dfsg-1.1), texinfo (<< 6.1.0.dfsg.1-8)
Replaces: libfile-path-perl (<< 2.16), libfile-temp-perl (<< 0.2309), libio-socket-ip-perl (<< 0.39), libscalar-list-utils-perl (<< 1:1.50), libsocket-perl (<< 2.027), libxsloader-perl (<< 0.30), perl (<< 5.10.1-12), perl-modules (<< 5.20.1-3)
Provides: libfile-path-perl (= 2.16), libfile-temp-perl (= 0.2309), libio-socket-ip-perl (= 0.39), libscalar-list-utils-perl (= 1:1.50), libsocket-perl (= 2.027), libxsloader-perl (= 0.30), perlapi-5.30.0
Homepage: http://dev.perl.org/perl5/
Priority: required
Section: perl
Filename: pool/main/p/perl/perl-base_5.30.0-9build1kylin0k2_amd64.deb
Size: 1576540
SHA256: 26304da5223e39c6345d136d0bfe583708afa0fe356723c01e4ff54fc2c42f52
SHA1: 489b7679efc67bb481b8f5227b6de3053774ae8b
MD5sum: 3d892f2b8bf376eeca153a5e96d7e08e
Description: minimal Perl system
  Perl is a scripting language used in many system scripts and utilities.
  .
  This package provides a Perl interpreter and the small subset of the
  standard run-time library required to perform basic tasks. For a full
  Perl installation, install "perl" (and its dependencies, "perl-modules-5.30"
  and "perl-doc").
```
