# x86 上启用其他架构支持

> 安装其他架构二进制支持包

```
sudo apt install binfmt-support
sudo apt install qemu-user-static
```

# 志诚，南瑞 rootfs

```shell
rootfs.sh --name nanrui --arch arm64 --conf config-nanrui.sh --tasks 'rootfs,config,tar'
```

## 20220414.tar.gz

- root 密码设置为 123456

## 20220415.tar.gz

- openssh-server
- network-manager

## 20220425.tar.gz

- 定时任务: cron，默认已安装
- 内核 coredump: linux-crashdump
- 执行 update-grub 时，缺少: lsb-release,archdetect-deb

# 志林，电网，arm64 v10 版本

```shell
rootfs.sh --name dianwang --arch arm64 --conf config-dianwang.sh --tasks 'rootfs,config,tar'
```

## 没有 linux-crashdump

- 对应：kexec-tools kdump-tools

## 2022-05-10 改为 V10 SP1

- 审计包名：auditd
- vim 命令包名：vim
- pam 相关包名：libpam-pwquality libpam-kysec
