# 将本机开发环境的代码挂载到运行kylin-os-install的环境里
[ -d /zhen ] || mkdir /zhen
# mount -t cifs //172.29.157.20/root_dir/data/source/kylin-os-installer/kylin-os-installer-0.1.211 /zhen -o username=zhen,password=zhen,uid=$USER,gid=$USER
mount -t cifs //172.29.157.20/root_dir/data/source/kylin-os-installer/kylin-os-installer-0.1.211 /zhen -o username=zhen,password=zhen
mv /usr/share/kylin-os-installer/scripts /usr/share/kylin-os-installer/scripts-bak
ln -sf /zhen/scripts /usr/share/kylin-os-installer/scripts

cp /zhen/ky-installer.cfg /tmp
# cp /usr/share/kylin-os-installer/ky-installer.cfg /tmp

cd /usr/share/kylin-os-installer/scripts
[ -f /tmp/utils ] || cp utils /tmp
. /tmp/utils

# ========== prepare ==========
. prepare/00umount
. prepare/01set-dpms
. prepare/10partition-efi
. prepare/13mount-target
. prepare/16copy-basic-filesystem
. prepare/18setup-swapfile
. prepare/18setup-swapfile
. prepare/20setup-chroot

# ========== in_chroot ==========
mkdir -p /target/${IN_TARGET}
cp utils /tmp/ky-installer.cfg /target/tmp
cp -r k.sh in_chroot /target/${IN_TARGET}

## chroot
chroot /target/
. /tmp/utils
mkdir -p /var/log/installer

echo ${IN_TARGET}
cd ${IN_TARGET}

. ${IN_TARGET}in_chroot/00setup-timezone
. ${IN_TARGET}in_chroot/03setup-locale
. ${IN_TARGET}in_chroot/03setup-services    # do nothing
. ${IN_TARGET}in_chroot/06setup-grub-menu   # do nothing
. ${IN_TARGET}in_chroot/06setup-hostname
. ${IN_TARGET}in_chroot/09setup-keyboard    # do nothing
. ${IN_TARGET}in_chroot/15setup-sourceslist
. ${IN_TARGET}in_chroot/18setup-bootloader
. ${IN_TARGET}in_chroot/21setup-user
. ${IN_TARGET}in_chroot/24setup-user-sourcelist # do nothing
. ${IN_TARGET}in_chroot/27generate-fstab
. ${IN_TARGET}in_chroot/30update-initramfs
. ${IN_TARGET}in_chroot/321hw-next-boot         # do nothing
. ${IN_TARGET}in_chroot/32oem-test
. ${IN_TARGET}in_chroot/95install-extra-packages
. ${IN_TARGET}in_chroot/96-resetup-sourceslist
. ${IN_TARGET}in_chroot/97rsync-license
. ${IN_TARGET}in_chroot/99remove-packages
. ${IN_TARGET}in_chroot/99setup-oem-service
. ${IN_TARGET}in_chroot/genfstab

# ========== after ==========
