#!/bin/bash

TARGET_SRC=${1:-src}

package=$(grep "^Package: " ${TARGET_SRC}/DEBIAN/control | awk '{print $2}')
version=$(grep "^Version: " ${TARGET_SRC}/DEBIAN/control | awk '{print $2}')
architecture=$(grep "^Architecture: " ${TARGET_SRC}/DEBIAN/control | awk '{print $2}')

echo "${package}_${version}_${architecture}"
dpkg -b ${TARGET_SRC} ${package}_${version}_${architecture}.deb
