#!/bin/bash

while true; do
    if [ -r /sys/class/power_supply/BAT0/status ]; then
        STATUS=$(cat /sys/class/power_supply/BAT0/status)
        echo "===${STATUS}"
        if [ ${STATUS} == "Discharging" ]; then
            udevadm trigger -s power_supply
            echo "trigger power_supply change"
        fi
        sleep 2
    else
        echo "/sys/class/power_supply/BAT0/status not exist!!"
        exit 100
    fi
done
